Bug 581 - Crash in the runtime while compiling a project
Summary: Crash in the runtime while compiling a project
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: unspecified
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-09-01 07:08 UTC by Lluis Sanchez
Modified: 2013-09-08 19:11 UTC (History)
3 users (show)

Tags: Bixion2D
Is this bug a regression?: ---
Last known good build:


Attachments

Description Lluis Sanchez 2011-09-01 07:08:17 UTC
When compiling project "Bixion2D" mono compiler (v2.10.5) fails to finish the task with text:

Building: Bixion2D (Debug)
Performing main compilation...
/usr/local/bin/gmcs /noconfig "/out:/src/Bixion2D/bin/Debug/Bixion2D.net.dll"

<a LOT of full pathes here>

_zweide_internal_circle256.png,Bixion2D.resources._zweide_internal_circle256.png" "/res:/src/Bixion2D/Bixion2D/Bixion2D/resources/_zweide_internal_fnt8.fnt,Bixion2D.resources._zweide_internal_fnt8.fnt" 

* Assertion at class.c:1739, condition `class->image->dynamic || field->offset > 0' not met

Any additional info will be provided by mail if necessary.

PS My environment is Ubuntu 10.04 64bit with mono v1.10.5 compiled from source tarball.

Reported by: carga@mail.ru
Comment 2 Rodrigo Kumpera 2013-09-08 19:11:19 UTC
The compiler no longer depends on SRE, so this is probably fixed.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 581 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: